Get NFT holding by address
curl --request GET \
--url https://api.getnimbus.io/v2/address/{address}/nft-holding \
--header 'x-api-key: <api-key>'import requests
url = "https://api.getnimbus.io/v2/address/{address}/nft-holding"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.getnimbus.io/v2/address/{address}/nft-holding', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"owner": "<string>",
"nativeToken": {
"name": "<string>",
"cmcId": 123,
"cmc_slug": "<string>",
"cgId": "<string>",
"symbol": "<string>",
"decimals": 123
},
"collection": {
"description": "<string>",
"externalUrl": "<string>",
"id": "<string>",
"imageUrl": "<string>",
"name": "<string>",
"totalItems": 123,
"chain": "<string>",
"verified": true,
"scam": true
},
"collectionId": "<string>",
"tokens": [
{
"royalty": 123,
"imageUrl": "<string>",
"tokenId": "<string>",
"contractAddress": "<string>",
"name": "<string>",
"rarityScore": 123,
"rank": "<string>",
"price": 123,
"cost": 123
}
],
"floorPrice": 123,
"marketPrice": 123,
"profit": {
"realizedPnL": 123,
"unrealizedPnL": 123
}
}
]Address
Get NFT holding by address
Retrieves NFT holding information for a given address, including collection details and token information
GET
/
v2
/
address
/
{address}
/
nft-holding
Get NFT holding by address
Authorizations
API key for authentication
Path Parameters
The address to get NFT holding information for
Query Parameters
The blockchain to query (default is "ALL")
Available options:
BTC, SOL, SUI, TON, ETH, FANTOM, RON, BNB, OP, AVAX, MATIC, ARB, BASE, SCROLL, ZKSYNC, ALL Include profit and loss information
⌘I

